/*******************************************************************************
 * Copyright (c) 2000, 2004 QNX Software Systems and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     QNX Software Systems - Initial API and implementation
 *******************************************************************************/

package generic;

import org.eclipse.cdt.core.IBinaryParser.IBinaryExecutable;
import org.eclipse.cdt.core.IBinaryParser.IBinaryFile;
import org.eclipse.core.runtime.IPath;

/**
 */
public class GenericBinaryExecutable extends GenericBinaryObject implements
		IBinaryExecutable {

	private final String[] NEEDED = {};

	/**
	 * @param parser
	 * @param path
	 */
	public GenericBinaryExecutable(GenericBinaryParser parser, IPath path) {
		this(parser, path, IBinaryFile.EXECUTABLE);
	}

	/**
	 * @param parser
	 * @param path
	 */
	public GenericBinaryExecutable(GenericBinaryParser parser, IPath path, int type) {
		super(parser, path, type);
	}

	/* (non-Javadoc)
	 * @see org.eclipse.cdt.core.IBinaryParser.IBinaryExecutable#getNeededSharedLibs()
	 */
	public String[] getNeededSharedLibs() {
		return NEEDED;
	}

}
